libzypp 17.37.10

zyppng::ProvidePromise< T > Class Template Reference

`#include <zypp-media/ng/private/provideitem_p.h>`

Inheritance diagram for zyppng::ProvidePromise< T >:

## Public Member Functions
| ProvidePromise (ProvideItemRef provideItem)
| ~ProvidePromise ()
Public Member Functions inherited from zyppng::AsyncOp< expected< T > >
| AsyncOp ()=default
AsyncOp & | operator= (const AsyncOp &other)=delete
| ~AsyncOp () override
void | setReady (value_type &&val)
bool | isReady () const
void | onReady (Fun &&cb)
value_type & | get ()
Public Member Functions inherited from zyppng::AsyncOpBase
virtual bool | canCancel ()
virtual void | cancel ()
SignalProxy< void()> | sigStarted ()
SignalProxy< void(const std::string &, int, int)> | sigProgress ()
SignalProxy< void()> | sigReady ()
Public Member Functions inherited from zyppng::Base
| Base ()
virtual | ~Base ()
WeakPtr | parent () const
void | addChild (const Base::Ptr &child)
void | removeChild (const Ptr &child)
const std::unordered_set< Ptr > & | children () const
std::thread::id | threadId () const
template<typename T>
std::vector< std::weak_ptr< T > > | findChildren () const
template<typename T>
std::shared_ptr< T > | shared_this () const
template<typename T>
std::shared_ptr< T > | shared_this ()
template<typename T>
std::weak_ptr< T > | weak_this () const
template<typename T>
std::weak_ptr< T > | weak_this ()
template<typename SenderFunc, typename ReceiverFunc>
auto | connect (SenderFunc &&sFun, typename internal::MemberFunction< ReceiverFunc >::ClassType &recv, ReceiverFunc &&rFunc)
template<typename SenderFunc, typename ReceiverFunc, typename ... Tracker>
std::enable_if_t< std::is_member_function_pointer_v< SenderFunc >, connection > | connectFunc (SenderFunc &&sFun, ReceiverFunc &&rFunc, const Tracker &...trackers)

## Private Attributes
ProvideItemWeakRef | _myProvide

## Additional Inherited Members
Public Types inherited from zyppng::AsyncOp< expected< T > >
using | value_type
using | Ptr
Public Types inherited from zyppng::Base
using | Ptr = std::shared_ptr<Base>
using | WeakPtr = std::weak_ptr<Base>
Static Public Member Functions inherited from zyppng::Base
template<typename Obj, typename Functor>
static decltype(auto) | make_base_slot (Obj *o, Functor &&f)
template<typename SenderFunc, typename ReceiverFunc>
static auto | connect (typename internal::MemberFunction< SenderFunc >::ClassType &s, SenderFunc &&sFun, typename internal::MemberFunction< ReceiverFunc >::ClassType &recv, ReceiverFunc &&rFunc)
template<typename SenderFunc, typename ReceiverFunc, typename ... Tracker>
static auto | connectFunc (typename internal::MemberFunction< SenderFunc >::ClassType &s, SenderFunc &&sFun, ReceiverFunc &&rFunc, const Tracker &...trackers)
Protected Member Functions inherited from zyppng::Base
| Base (BasePrivate &dd)
Protected Attributes inherited from zyppng::AsyncOpBase
Signal< void()> | _sigStarted
Signal< void()> | _sigReady
Signal< void(const std::string &, int, int)> | _sigProgress
Protected Attributes inherited from zyppng::Base
std::unique_ptr< BasePrivate > | d_ptr

## Detailed Description

template<typename T>
class zyppng::ProvidePromise< T >

The object returned to the user code to track the internal Item. Releasing the last reference to it will cancel the operation but the corresponding ProvideItem will remain in the Queue until the cancel operation was finished.

Definition at line 113 of file provideitem_p.h.

## Constructor & Destructor Documentation

## ◆ ProvidePromise()

template<typename T>

zyppng::ProvidePromise< T >::ProvidePromise | ( | ProvideItemRef | provideItem | ) |
| inline

Definition at line 116 of file provideitem_p.h.

## ◆ ~ProvidePromise()

template<typename T>

zyppng::ProvidePromise< T >::~ProvidePromise | ( |  | ) |
| inline

Definition at line 120 of file provideitem_p.h.

## Member Data Documentation

## ◆ _myProvide

template<typename T>

ProvideItemWeakRef zyppng::ProvidePromise< T >::_myProvide
| private

Definition at line 128 of file provideitem_p.h.

The documentation for this class was generated from the following files:

- zypp-media/ng/private/providefwd_p.h
- zypp-media/ng/private/provideitem_p.h